Bug 130382 - mii is unavailable to usb-ethernet pegasus devices
mii is unavailable to usb-ethernet pegasus devices
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 15:28 EDT by Matthew Truch
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Truch 2004-08-19 15:28:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
No mii info or control is available to usb-ethernet devices that use
the pegasus driver.  One cannot query or set mii settings, such as
link status, speed, and duplex.  

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. Attach pegasus powered usb-ethernet device to computer
2. Try to use mii-tool
    

Actual Results:  SIOCGMIIPHY on 'eth0' failed: Operation not supported
no MII interfaces found

Expected Results:  mii link info is available and settable

Additional info:

When the usb device is inserted, the mii module does not load.  One
can load it manually (before or after loading the pegasus module) to
no effect.
Comment 1 Dave Jones 2005-04-16 01:12:23 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.